Bug 2061847 (CVE-2022-24464) - CVE-2022-24464 dotnet: ASP.NET Denial of Service via FormPipeReader
Summary: CVE-2022-24464 dotnet: ASP.NET Denial of Service via FormPipeReader
Keywords:
Status: CLOSED ERRATA
Alias: CVE-2022-24464
Product: Security Response
Classification: Other
Component: vulnerability
Version: unspecified
Hardware: All
OS: Linux
high
high
Target Milestone: ---
Assignee: Red Hat Product Security
QA Contact:
URL:
Whiteboard:
Depends On: 2061857 2061858 2061859 2061860 2061861 2061862 2061863 2061864 2061865 2061866 2061867 2061868
Blocks: 2061840
TreeView+ depends on / blocked
 
Reported: 2022-03-08 16:12 UTC by Stefan Cornelius
Modified: 2022-12-14 17:11 UTC (History)
8 users (show)

Fixed In Version:
Doc Type: If docs needed, set a value
Doc Text:
A flaw was found in .NET Core, related to the FormPipeReader. This issue allows remote unauthenticated attackers to cause a denial of service.
Clone Of:
Environment:
Last Closed: 2022-03-10 22:01:57 UTC


Attachments (Terms of Use)


Links
System ID Private Priority Status Summary Last Updated
Red Hat Product Errata RHBA-2022:0938 0 None None None 2022-03-15 20:43:52 UTC
Red Hat Product Errata RHBA-2022:0945 0 None None None 2022-03-16 15:05:25 UTC
Red Hat Product Errata RHSA-2022:0826 0 None None None 2022-03-10 16:13:41 UTC
Red Hat Product Errata RHSA-2022:0827 0 None None None 2022-03-10 16:14:39 UTC
Red Hat Product Errata RHSA-2022:0828 0 None None None 2022-03-10 16:17:07 UTC
Red Hat Product Errata RHSA-2022:0829 0 None None None 2022-03-10 16:16:20 UTC
Red Hat Product Errata RHSA-2022:0830 0 None None None 2022-03-10 16:13:33 UTC
Red Hat Product Errata RHSA-2022:0832 0 None None None 2022-03-10 16:17:55 UTC

Description Stefan Cornelius 2022-03-08 16:12:42 UTC
An issue in ASP.NET Core related to the FormPipeReader allows remote unauthenticated attackers to cause a denial of service.

Comment 2 errata-xmlrpc 2022-03-10 16:13:31 UTC
This issue has been addressed in the following products:

  Red Hat Enterprise Linux 8

Via RHSA-2022:0830 https://access.redhat.com/errata/RHSA-2022:0830

Comment 3 errata-xmlrpc 2022-03-10 16:13:39 UTC
This issue has been addressed in the following products:

  Red Hat Enterprise Linux 8

Via RHSA-2022:0826 https://access.redhat.com/errata/RHSA-2022:0826

Comment 4 errata-xmlrpc 2022-03-10 16:14:37 UTC
This issue has been addressed in the following products:

  Red Hat Enterprise Linux 8

Via RHSA-2022:0827 https://access.redhat.com/errata/RHSA-2022:0827

Comment 5 errata-xmlrpc 2022-03-10 16:16:17 UTC
This issue has been addressed in the following products:

  .NET Core on Red Hat Enterprise Linux

Via RHSA-2022:0829 https://access.redhat.com/errata/RHSA-2022:0829

Comment 6 errata-xmlrpc 2022-03-10 16:17:04 UTC
This issue has been addressed in the following products:

  .NET Core on Red Hat Enterprise Linux

Via RHSA-2022:0828 https://access.redhat.com/errata/RHSA-2022:0828

Comment 7 errata-xmlrpc 2022-03-10 16:17:52 UTC
This issue has been addressed in the following products:

  .NET Core on Red Hat Enterprise Linux

Via RHSA-2022:0832 https://access.redhat.com/errata/RHSA-2022:0832

Comment 8 Product Security DevOps Team 2022-03-10 22:01:55 UTC
This bug is now closed. Further updates for individual products will be reflected on the CVE page(s):

https://access.redhat.com/security/cve/cve-2022-24464


Note You need to log in before you can comment on or make changes to this bug.